/* es-ordinato.c Dato un array v[] di lunghezza N>=1, determinare se
   l'array e' ordinato (in senso crescente) */
#include <stdio.h>

int main( void )
{
    int v[] = {-3, 0, 1, 1, 2, 10, 99, 77};
    const int N = sizeof(v) / sizeof(v[0]);
    int i;
    int ordinato = 1;

    /* v[] e' ordinato se e solo se per ogni i=0, ... (N-2) si ha che
       v[i] <= v[i+1] */

    for (i=0; (i<N-1) && ordinato; i++) {
        if (v[i] > v[i+1]) {
            ordinato = 0;
        }
    }
    
    /* In questo punto, ordinato == 1 se e solo se l'array e' ordinato
       in senso crescente */
    
    if (ordinato) {
        printf("L'array e' ordinato\n");
    } else {
        printf("L'array non e' ordinato\n");
    }
    return 0;
}
