/* es6.c : stampa frequenze */
#include <stdio.h>

#define N 40

int main( void )
{
    int i,j;
    
    int valori[N] = {0, 1, 1, 0, 0, 2, 4, 6, 5, 5,
                     7, 2, 3, 8, 9, 9, 1, 3, 2, 4,
                     3, 2, 4, 2, 3, 2, 6, 5, 4, 7,
                     7, 8, 7, 2, 3, 0, 9, 9, 1, 3};
    
    int occorrenze[10] = {0}; /* equivale a {0, 0, 0, ... 0} */   

    /* calcola le frequenze */
    for (i=0; i<N; i++) {
        occorrenze[valori[i]]++;
    }

    /* stampa le frequenze */
    for (i=0; i<10; i++) {
        printf("il valore %d compare %d volte\n", i, occorrenze[i]);
    }
    
    printf("\n");
    
    /* stampa occorrenze in modo pseudo-grafico */
    for (i=0; i<10; i++) {
        printf("%d : ", i);
        for(j=0; j<occorrenze[i]; j++) {
            printf("*");
        }
        printf("\n");
    }
    
    return 0;
}
